#include<bits/stdc++.h>
using namespace std;
int main(){
 long long n;
 cin>>n;
 long long a[100000];
 bool b[100000];
 for(int i=0 ; i<n ; i++){
    cin>>a[i];
    b[a[i]]=true;
 }
 bool ok=true;
 while(ok){
    ok=false;
    for(int i=0 ; i<n-1 ; i++){
        if(a[i]<a[i+1]){
            swap(a[i],a[i+1]);
            ok=true;
        }
    }
 }
 int ans=0;
 int powtorki=0;
 for(int i=1 ; i<n ; i++){
    if(a[i]==a[i-1]){
        if(powtorki!=0){
            powtorki--;
        }else{
            powtorki++;
            ans+=a[i];
        }
    }
 }
 cout<<ans+a[0];
 return 0;
}

